Subject: draft-ietf-pkix-rfc2510bis

From: Russ Housley <[email-masked]>
Date: Tue, 17 Feb 2004 11:52:34 -0500

Please excuse the posting to two mail lists.  Some people will get this 
message twice, but I believe this issue is relevant to both the PKIX and 
the S/MIME working groups/

The IESG is considering draft-ietf-pkix-rfc2510bis, and an issue has 
surfaced regarding appendix D.2.  Should we really be issuing new crypto 
RFCs that don't mandate AES?

In my opinion, AES ought to be listed as a MUST or a SHOULD+.  By SHOULD+ I 
mean the same as SHOULD; however, it is likely that the algorithm will be 
promoted at some future time to be a MUST.  Similarly, I think that 3DES 
ought to be a MUST- or a SHOULD.

Further, I believe that PKIX and S/MIME ought to offer compatible algorithm 
recommendations.

Russ